<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref32.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::TypeAnalysis::ConstEvaluator::visit&#40;PTree::Identifier*&#41; - Synopsis::TypeAnalysis::Type::my_refcounter</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::TypeAnalysis::ConstEvaluator::visit&#40;PTree::Identifier*&#41; - Synopsis::TypeAnalysis::Type::my_refcounter</h1><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mConstEvaluator_mvisit_lPTree_mIdentifier_S_r" /><h2 >Synopsis::TypeAnalysis::ConstEvaluator::visit&#40;PTree::Identifier*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#30">Synopsis/TypeAnalysis/ConstEvaluator.hh:30</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mConstEvaluator_mvisit_lPTree_mInfixExpr_S_r" /><h2 >Synopsis::TypeAnalysis::ConstEvaluator::visit&#40;PTree::InfixExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#32">Synopsis/TypeAnalysis/ConstEvaluator.hh:32</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mConstEvaluator_mvisit_lPTree_mLiteral_S_r" /><h2 >Synopsis::TypeAnalysis::ConstEvaluator::visit&#40;PTree::Literal*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#29">Synopsis/TypeAnalysis/ConstEvaluator.hh:29</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mConstEvaluator_mvisit_lPTree_mParenExpr_S_r" /><h2 >Synopsis::TypeAnalysis::ConstEvaluator::visit&#40;PTree::ParenExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#36">Synopsis/TypeAnalysis/ConstEvaluator.hh:36</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mConstEvaluator_mvisit_lPTree_mSizeofExpr_S_r" /><h2 >Synopsis::TypeAnalysis::ConstEvaluator::visit&#40;PTree::SizeofExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#33">Synopsis/TypeAnalysis/ConstEvaluator.hh:33</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mConstEvaluator_mvisit_lPTree_mUnaryExpr_S_r" /><h2 >Synopsis::TypeAnalysis::ConstEvaluator::visit&#40;PTree::UnaryExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#34">Synopsis/TypeAnalysis/ConstEvaluator.hh:34</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mDOUBLE" /><h2 >Namespace variable Synopsis::TypeAnalysis::DOUBLE</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis.html#DOUBLE" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#52">Synopsis/TypeAnalysis/Type.hh:52</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mEnum" /><h2 >Class Synopsis::TypeAnalysis::Enum</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Enum.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#62">Synopsis/TypeAnalysis/Type.hh:62</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Enum.html" >Synopsis::TypeAnalysis::Enum</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#34">Synopsis/TypeAnalysis/Visitor.hh:34</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#65">Synopsis/TypeAnalysis/Type.hh:65</a>: Constructor <a href="../Scopes/Synopsis/TypeAnalysis/Enum.html#Enum_lconst.std_mstring_A_r" >Enum&#40;const std::string&amp;&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#66">Synopsis/TypeAnalysis/Type.hh:66</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Enum.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mEnum_mEnum_lconst.std_mstring_A_r" /><h2 >Synopsis::TypeAnalysis::Enum::Enum&#40;const std::string&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#65">Synopsis/TypeAnalysis/Type.hh:65</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Enum.html" >Synopsis::TypeAnalysis::Enum</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mEnum_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Enum::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Enum.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#66">Synopsis/TypeAnalysis/Type.hh:66</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Enum.html" >Synopsis::TypeAnalysis::Enum</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mFLOAT" /><h2 >Namespace variable Synopsis::TypeAnalysis::FLOAT</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis.html#FLOAT" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#51">Synopsis/TypeAnalysis/Type.hh:51</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mFunction" /><h2 >Class Synopsis::TypeAnalysis::Function</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Function.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#142">Synopsis/TypeAnalysis/Type.hh:142</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Function.html" >Synopsis::TypeAnalysis::Function</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#42">Synopsis/TypeAnalysis/Visitor.hh:42</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#145">Synopsis/TypeAnalysis/Type.hh:145</a>: Constructor <a href="../Scopes/Synopsis/TypeAnalysis/Function.html#Function_l_r" >Function&#40;&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#146">Synopsis/TypeAnalysis/Type.hh:146</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Function.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#149">Synopsis/TypeAnalysis/Type.hh:149</a>: Data member <a href="../Scopes/Synopsis/TypeAnalysis/Function.html#my_type" >my_type</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mFunction_mFunction_l_r" /><h2 >Constructor Synopsis::TypeAnalysis::Function::Function&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Function.html#Function_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#145">Synopsis/TypeAnalysis/Type.hh:145</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Function.html" >Synopsis::TypeAnalysis::Function</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mFunction_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Function::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Function.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#146">Synopsis/TypeAnalysis/Type.hh:146</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Function.html" >Synopsis::TypeAnalysis::Function</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mFunction_mmy_type" /><h2 >Data member Synopsis::TypeAnalysis::Function::my_type</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Function.html#my_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#149">Synopsis/TypeAnalysis/Type.hh:149</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Function.html" >Synopsis::TypeAnalysis::Function</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mINT" /><h2 >Namespace variable Synopsis::TypeAnalysis::INT</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis.html#INT" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#49">Synopsis/TypeAnalysis/Type.hh:49</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mKit" /><h2 >Class Synopsis::TypeAnalysis::Kit</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#18">Synopsis/TypeAnalysis/Kit.hh:18</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#21">Synopsis/TypeAnalysis/Kit.hh:21</a>: Constructor <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html#Kit_l_r" >Kit&#40;&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#23">Synopsis/TypeAnalysis/Kit.hh:23</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html#builtin_lconst.std_mstring_A_r" >builtin&#40;const std::string&amp;&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#24">Synopsis/TypeAnalysis/Kit.hh:24</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html#enum__lconst.std_mstring_A_r" >enum_&#40;const std::string&amp;&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#25">Synopsis/TypeAnalysis/Kit.hh:25</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html#class__lconst.std_mstring_A_r" >class_&#40;const std::string&amp;&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#26">Synopsis/TypeAnalysis/Kit.hh:26</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html#union__lconst.std_mstring_A_r" >union_&#40;const std::string&amp;&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#27">Synopsis/TypeAnalysis/Kit.hh:27</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html#pointer_lconst.Type_S_r" >pointer&#40;const Type*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#28">Synopsis/TypeAnalysis/Kit.hh:28</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html#reference_lconst.Type_S_r" >reference&#40;const Type*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#29">Synopsis/TypeAnalysis/Kit.hh:29</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html#array_lconst.Type_S_r" >array&#40;const Type*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#30">Synopsis/TypeAnalysis/Kit.hh:30</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html#pointer_to_member_lconst.Type_S_cconst.Type_S_r" >pointer_to_member&#40;const Type*&#44;const Type*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mKit_mKit_l_r" /><h2 >Constructor Synopsis::TypeAnalysis::Kit::Kit&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Kit.html#Kit_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#21">Synopsis/TypeAnalysis/Kit.hh:21</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mKit_marray_lconst.Type_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Kit::array&#40;const Type*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Kit.html#array_lconst.Type_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#29">Synopsis/TypeAnalysis/Kit.hh:29</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mKit_mbuiltin_lconst.std_mstring_A_r" /><h2 >Synopsis::TypeAnalysis::Kit::builtin&#40;const std::string&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#23">Synopsis/TypeAnalysis/Kit.hh:23</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mKit_mclass__lconst.std_mstring_A_r" /><h2 >Synopsis::TypeAnalysis::Kit::class_&#40;const std::string&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#25">Synopsis/TypeAnalysis/Kit.hh:25</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mKit_menum__lconst.std_mstring_A_r" /><h2 >Synopsis::TypeAnalysis::Kit::enum_&#40;const std::string&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#24">Synopsis/TypeAnalysis/Kit.hh:24</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mKit_mpointer_lconst.Type_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Kit::pointer&#40;const Type*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Kit.html#pointer_lconst.Type_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#27">Synopsis/TypeAnalysis/Kit.hh:27</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mKit_mpointer_to_member_lconst.Type_S_cconst.Type_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Kit::pointer_to_member&#40;const Type*&#44;const Type*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Kit.html#pointer_to_member_lconst.Type_S_cconst.Type_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#30">Synopsis/TypeAnalysis/Kit.hh:30</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mKit_mreference_lconst.Type_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Kit::reference&#40;const Type*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Kit.html#reference_lconst.Type_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#28">Synopsis/TypeAnalysis/Kit.hh:28</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mKit_munion__lconst.std_mstring_A_r" /><h2 >Synopsis::TypeAnalysis::Kit::union_&#40;const std::string&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#26">Synopsis/TypeAnalysis/Kit.hh:26</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mLONG" /><h2 >Namespace variable Synopsis::TypeAnalysis::LONG</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis.html#LONG" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#50">Synopsis/TypeAnalysis/Type.hh:50</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mPointer" /><h2 >Class Synopsis::TypeAnalysis::Pointer</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Pointer.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#112">Synopsis/TypeAnalysis/Type.hh:112</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Pointer.html" >Synopsis::TypeAnalysis::Pointer</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#39">Synopsis/TypeAnalysis/Visitor.hh:39</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#115">Synopsis/TypeAnalysis/Type.hh:115</a>: Constructor <a href="../Scopes/Synopsis/TypeAnalysis/Pointer.html#Pointer_lconst.Type_S_r" >Pointer&#40;const Type*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#116">Synopsis/TypeAnalysis/Type.hh:116</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Pointer.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#119">Synopsis/TypeAnalysis/Type.hh:119</a>: Data member <a href="../Scopes/Synopsis/TypeAnalysis/Pointer.html#my_type" >my_type</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mPointer_mPointer_lconst.Type_S_r" /><h2 >Constructor Synopsis::TypeAnalysis::Pointer::Pointer&#40;const Type*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Pointer.html#Pointer_lconst.Type_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#115">Synopsis/TypeAnalysis/Type.hh:115</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Pointer.html" >Synopsis::TypeAnalysis::Pointer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mPointer_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Pointer::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Pointer.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#116">Synopsis/TypeAnalysis/Type.hh:116</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Pointer.html" >Synopsis::TypeAnalysis::Pointer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mPointer_mmy_type" /><h2 >Data member Synopsis::TypeAnalysis::Pointer::my_type</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Pointer.html#my_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#119">Synopsis/TypeAnalysis/Type.hh:119</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Pointer.html" >Synopsis::TypeAnalysis::Pointer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mPointerToMember" /><h2 >Class Synopsis::TypeAnalysis::PointerToMember</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/PointerToMember.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#152">Synopsis/TypeAnalysis/Type.hh:152</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/PointerToMember.html" >Synopsis::TypeAnalysis::PointerToMember</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#43">Synopsis/TypeAnalysis/Visitor.hh:43</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#155">Synopsis/TypeAnalysis/Type.hh:155</a>: Constructor <a href="../Scopes/Synopsis/TypeAnalysis/PointerToMember.html#PointerToMember_l_r" >PointerToMember&#40;&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#156">Synopsis/TypeAnalysis/Type.hh:156</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/PointerToMember.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#159">Synopsis/TypeAnalysis/Type.hh:159</a>: Data member <a href="../Scopes/Synopsis/TypeAnalysis/PointerToMember.html#my_container" >my_container</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#160">Synopsis/TypeAnalysis/Type.hh:160</a>: Data member <a href="../Scopes/Synopsis/TypeAnalysis/PointerToMember.html#my_member" >my_member</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mPointerToMember_mPointerToMember_l_r" /><h2 >Constructor Synopsis::TypeAnalysis::PointerToMember::PointerToMember&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/PointerToMember.html#PointerToMember_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#155">Synopsis/TypeAnalysis/Type.hh:155</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/PointerToMember.html" >Synopsis::TypeAnalysis::PointerToMember</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mPointerToMember_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::TypeAnalysis::PointerToMember::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/PointerToMember.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#156">Synopsis/TypeAnalysis/Type.hh:156</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/PointerToMember.html" >Synopsis::TypeAnalysis::PointerToMember</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mPointerToMember_mmy_container" /><h2 >Data member Synopsis::TypeAnalysis::PointerToMember::my_container</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/PointerToMember.html#my_container" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#159">Synopsis/TypeAnalysis/Type.hh:159</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/PointerToMember.html" >Synopsis::TypeAnalysis::PointerToMember</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mPointerToMember_mmy_member" /><h2 >Data member Synopsis::TypeAnalysis::PointerToMember::my_member</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/PointerToMember.html#my_member" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#160">Synopsis/TypeAnalysis/Type.hh:160</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/PointerToMember.html" >Synopsis::TypeAnalysis::PointerToMember</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mReference" /><h2 >Class Synopsis::TypeAnalysis::Reference</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Reference.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#122">Synopsis/TypeAnalysis/Type.hh:122</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Reference.html" >Synopsis::TypeAnalysis::Reference</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#40">Synopsis/TypeAnalysis/Visitor.hh:40</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#125">Synopsis/TypeAnalysis/Type.hh:125</a>: Constructor <a href="../Scopes/Synopsis/TypeAnalysis/Reference.html#Reference_lconst.Type_S_r" >Reference&#40;const Type*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#126">Synopsis/TypeAnalysis/Type.hh:126</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Reference.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#129">Synopsis/TypeAnalysis/Type.hh:129</a>: Data member <a href="../Scopes/Synopsis/TypeAnalysis/Reference.html#my_type" >my_type</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mReference_mReference_lconst.Type_S_r" /><h2 >Constructor Synopsis::TypeAnalysis::Reference::Reference&#40;const Type*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Reference.html#Reference_lconst.Type_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#125">Synopsis/TypeAnalysis/Type.hh:125</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Reference.html" >Synopsis::TypeAnalysis::Reference</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mReference_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Reference::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Reference.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#126">Synopsis/TypeAnalysis/Type.hh:126</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Reference.html" >Synopsis::TypeAnalysis::Reference</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mReference_mmy_type" /><h2 >Data member Synopsis::TypeAnalysis::Reference::my_type</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Reference.html#my_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#129">Synopsis/TypeAnalysis/Type.hh:129</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Reference.html" >Synopsis::TypeAnalysis::Reference</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mSCHAR" /><h2 >Namespace variable Synopsis::TypeAnalysis::SCHAR</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis.html#SCHAR" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#57">Synopsis/TypeAnalysis/Type.hh:57</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mSHORT" /><h2 >Namespace variable Synopsis::TypeAnalysis::SHORT</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis.html#SHORT" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#48">Synopsis/TypeAnalysis/Type.hh:48</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mSINT" /><h2 >Namespace variable Synopsis::TypeAnalysis::SINT</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis.html#SINT" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#59">Synopsis/TypeAnalysis/Type.hh:59</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mSLONG" /><h2 >Namespace variable Synopsis::TypeAnalysis::SLONG</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis.html#SLONG" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#60">Synopsis/TypeAnalysis/Type.hh:60</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mSSHORT" /><h2 >Namespace variable Synopsis::TypeAnalysis::SSHORT</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis.html#SSHORT" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#58">Synopsis/TypeAnalysis/Type.hh:58</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mType" /><h2 >Class Synopsis::TypeAnalysis::Type</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Type.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#20">Synopsis/TypeAnalysis/Type.hh:20</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Type.html" >Synopsis::TypeAnalysis::Type</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#23">Synopsis/TypeAnalysis/Kit.hh:23</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#24">Synopsis/TypeAnalysis/Kit.hh:24</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#25">Synopsis/TypeAnalysis/Kit.hh:25</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#26">Synopsis/TypeAnalysis/Kit.hh:26</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#27">Synopsis/TypeAnalysis/Kit.hh:27</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#27">Synopsis/TypeAnalysis/Kit.hh:27</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#28">Synopsis/TypeAnalysis/Kit.hh:28</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#28">Synopsis/TypeAnalysis/Kit.hh:28</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#29">Synopsis/TypeAnalysis/Kit.hh:29</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#29">Synopsis/TypeAnalysis/Kit.hh:29</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#30">Synopsis/TypeAnalysis/Kit.hh:30</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#30">Synopsis/TypeAnalysis/Kit.hh:30</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#30">Synopsis/TypeAnalysis/Kit.hh:30</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Kit.html" >Synopsis::TypeAnalysis::Kit</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#35">Synopsis/TypeAnalysis/Type.hh:35</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/BuiltinType.html" >Synopsis::TypeAnalysis::BuiltinType</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#62">Synopsis/TypeAnalysis/Type.hh:62</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Enum.html" >Synopsis::TypeAnalysis::Enum</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#69">Synopsis/TypeAnalysis/Type.hh:69</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Compound.html" >Synopsis::TypeAnalysis::Compound</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#96">Synopsis/TypeAnalysis/Type.hh:96</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html" >Synopsis::TypeAnalysis::CVType</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#101">Synopsis/TypeAnalysis/Type.hh:101</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html" >Synopsis::TypeAnalysis::CVType</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#108">Synopsis/TypeAnalysis/Type.hh:108</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html" >Synopsis::TypeAnalysis::CVType</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#112">Synopsis/TypeAnalysis/Type.hh:112</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Pointer.html" >Synopsis::TypeAnalysis::Pointer</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#115">Synopsis/TypeAnalysis/Type.hh:115</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Pointer.html" >Synopsis::TypeAnalysis::Pointer</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#119">Synopsis/TypeAnalysis/Type.hh:119</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Pointer.html" >Synopsis::TypeAnalysis::Pointer</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#122">Synopsis/TypeAnalysis/Type.hh:122</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Reference.html" >Synopsis::TypeAnalysis::Reference</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#125">Synopsis/TypeAnalysis/Type.hh:125</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Reference.html" >Synopsis::TypeAnalysis::Reference</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#129">Synopsis/TypeAnalysis/Type.hh:129</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Reference.html" >Synopsis::TypeAnalysis::Reference</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#132">Synopsis/TypeAnalysis/Type.hh:132</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Array.html" >Synopsis::TypeAnalysis::Array</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#135">Synopsis/TypeAnalysis/Type.hh:135</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Array.html" >Synopsis::TypeAnalysis::Array</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#139">Synopsis/TypeAnalysis/Type.hh:139</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Array.html" >Synopsis::TypeAnalysis::Array</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#142">Synopsis/TypeAnalysis/Type.hh:142</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Function.html" >Synopsis::TypeAnalysis::Function</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#149">Synopsis/TypeAnalysis/Type.hh:149</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Function.html" >Synopsis::TypeAnalysis::Function</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#152">Synopsis/TypeAnalysis/Type.hh:152</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/PointerToMember.html" >Synopsis::TypeAnalysis::PointerToMember</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#159">Synopsis/TypeAnalysis/Type.hh:159</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/PointerToMember.html" >Synopsis::TypeAnalysis::PointerToMember</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#160">Synopsis/TypeAnalysis/Type.hh:160</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/PointerToMember.html" >Synopsis::TypeAnalysis::PointerToMember</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#26">Synopsis/TypeAnalysis/TypeEvaluator.hh:26</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#54">Synopsis/TypeAnalysis/TypeEvaluator.hh:54</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#57">Synopsis/TypeAnalysis/TypeEvaluator.hh:57</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#32">Synopsis/TypeAnalysis/Visitor.hh:32</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#23">Synopsis/TypeAnalysis/Type.hh:23</a>: Constructor <a href="../Scopes/Synopsis/TypeAnalysis/Type.html#Type_lconst.std_mstring_A_r" >Type&#40;const std::string&amp;&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#24">Synopsis/TypeAnalysis/Type.hh:24</a>: Destructor <a href="../Scopes/Synopsis/TypeAnalysis/Type.html#_tType_l_r" >~Type&#40;&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#25">Synopsis/TypeAnalysis/Type.hh:25</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Type.html#name_l_rconst" >name&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#26">Synopsis/TypeAnalysis/Type.hh:26</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Type.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#27">Synopsis/TypeAnalysis/Type.hh:27</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Type.html#ref_l_rconst" >ref&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#28">Synopsis/TypeAnalysis/Type.hh:28</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Type.html#deref_l_rconst" >deref&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#31">Synopsis/TypeAnalysis/Type.hh:31</a>: Data member <a href="../Scopes/Synopsis/TypeAnalysis/Type.html#my_name" >my_name</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#32">Synopsis/TypeAnalysis/Type.hh:32</a>: Data member <a href="../Scopes/Synopsis/TypeAnalysis/Type.html#my_refcounter" >my_refcounter</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mType_mType_lconst.std_mstring_A_r" /><h2 >Synopsis::TypeAnalysis::Type::Type&#40;const std::string&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#23">Synopsis/TypeAnalysis/Type.hh:23</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Type.html" >Synopsis::TypeAnalysis::Type</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mType_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Type::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Type.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#26">Synopsis/TypeAnalysis/Type.hh:26</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Type.html" >Synopsis::TypeAnalysis::Type</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mType_mderef_l_rconst" /><h2 >Member function Synopsis::TypeAnalysis::Type::deref&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Type.html#deref_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#28">Synopsis/TypeAnalysis/Type.hh:28</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Type.html" >Synopsis::TypeAnalysis::Type</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mType_mmy_name" /><h2 >Data member Synopsis::TypeAnalysis::Type::my_name</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Type.html#my_name" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#31">Synopsis/TypeAnalysis/Type.hh:31</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Type.html" >Synopsis::TypeAnalysis::Type</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mType_mmy_refcounter" /><h2 >Data member Synopsis::TypeAnalysis::Type::my_refcounter</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Type.html#my_refcounter" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#32">Synopsis/TypeAnalysis/Type.hh:32</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Type.html" >Synopsis::TypeAnalysis::Type</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#27">Synopsis/TypeAnalysis/Type.hh:27</a>: in member function <a href="../Scopes/Synopsis/TypeAnalysis/Type.html#ref_l_rconst" >Synopsis::TypeAnalysis::Type::ref&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#28">Synopsis/TypeAnalysis/Type.hh:28</a>: in member function <a href="../Scopes/Synopsis/TypeAnalysis/Type.html#deref_l_rconst" >Synopsis::TypeAnalysis::Type::deref&#40;&#41;const</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
